Bug 260624 - lang/php73: Remove port (EXPIRATION_DATE / EoL reached: 2021-12-06)
Summary: lang/php73: Remove port (EXPIRATION_DATE / EoL reached: 2021-12-06)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://www.php.net/eol.php
Keywords: needs-qa
Depends on: 260652 260653 260654
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-23 00:00 UTC by Muhammad Moinur Rahman
Modified: 2022-01-26 16:48 UTC (History)
3 users (show)

See Also:
bofh: maintainer-feedback? (tz)
ale: maintainer-feedback+


Attachments
Remove php73 (118.58 KB, patch)
2021-12-23 00:00 UTC, Muhammad Moinur Rahman
no flags Details | Diff
Remove php73 (125.60 KB, patch)
2021-12-23 00:08 UTC, Muhammad Moinur Rahman
bofh: maintainer-approval? (tz)
bofh: maintainer-approval? (ale)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2021-12-23 00:00:23 UTC
Created attachment 230329 [details]
Remove php73

Security Fixes for PHP 7.3 has ended on 2021-12-06. The port has already been marked DEPRECATED. Requesting an exp-run to check if any ports will break in absence of this.
Comment 1 Muhammad Moinur Rahman freebsd_committer 2021-12-23 00:08:17 UTC
Created attachment 230331 [details]
Remove php73
Comment 2 Antoine Brodin freebsd_committer 2021-12-23 08:15:13 UTC
This can be tested locally by the person doing the removal  (verify that poudriere bulk -a starts with no warning/error,  and that make index completes successfully)
Comment 3 commit-hook freebsd_committer 2022-01-26 00:21:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cc378fb60bd6ff39ac810093b5fc83cf330c1d92

commit cc378fb60bd6ff39ac810093b5fc83cf330c1d92
Author:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
AuthorDate: 2022-01-26 00:06:01 +0000
Commit:     Muhammad Moinur Rahman <bofh@FreeBSD.org>
CommitDate: 2022-01-26 00:20:01 +0000

    lang/php73: Remove port

    - EOL reached on 2021-12-06
      https://www.php.net/eol.php

    PR:             260624
    Approved by:    tz (private email) ale portmgr (blanket)
    Sponsored by:   Bounce Experts

 MOVED                                              |  65 +++
 Mk/Uses/php.mk                                     |  19 +-
 Mk/bsd.default-versions.mk                         |   2 +-
 archivers/Makefile                                 |   4 -
 archivers/php73-bz2/Makefile (gone)                |   9 -
 archivers/php73-phar/Makefile (gone)               |   9 -
 archivers/php73-phar/files/patch-config.m4 (gone)  |  41 --
 archivers/php73-phar/files/patch-phar.c (gone)     |  11 -
 archivers/php73-zip/Makefile (gone)                |   9 -
 archivers/php73-zlib/Makefile (gone)               |   9 -
 archivers/php73-zlib/files/patch-zlib.c (gone)     |  10 -
 converters/Makefile                                |   3 -
 converters/php73-iconv/Makefile (gone)             |   9 -
 converters/php73-mbstring/Makefile (gone)          |   9 -
 .../php73-mbstring/files/patch-config.m4 (gone)    |  51 --
 converters/php73-recode/Makefile (gone)            |   9 -
 databases/Makefile                                 |  13 -
 databases/php73-dba/Makefile (gone)                |   9 -
 databases/php73-dba/files/patch-config.m4 (gone)   |  50 --
 databases/php73-interbase/Makefile (gone)          |   9 -
 databases/php73-mysqli/Makefile (gone)             |   9 -
 .../php73-mysqli/files/patch-mysqli__api.c (gone)  |  13 -
 databases/php73-odbc/Makefile (gone)               |   9 -
 databases/php73-odbc/files/patch-config.m4 (gone)  | 111 ----
 databases/php73-pdo/Makefile (gone)                |   9 -
 databases/php73-pdo_dblib/Makefile (gone)          |   9 -
 databases/php73-pdo_firebird/Makefile (gone)       |   9 -
 databases/php73-pdo_mysql/Makefile (gone)          |   9 -
 databases/php73-pdo_odbc/Makefile (gone)           |   9 -
 databases/php73-pdo_pgsql/Makefile (gone)          |   9 -
 databases/php73-pdo_sqlite/Makefile (gone)         |   9 -
 databases/php73-pgsql/Makefile (gone)              |   9 -
 databases/php73-sqlite3/Makefile (gone)            |   9 -
 devel/Makefile                                     |  10 -
 devel/php73-gettext/Makefile (gone)                |   9 -
 devel/php73-intl/Makefile (gone)                   |  14 -
 devel/php73-intl/files/patch-icu68 (gone)          | 213 --------
 devel/php73-intl/files/patch-icu70 (gone)          |  38 --
 devel/php73-json/Makefile (gone)                   |   9 -
 devel/php73-pcntl/Makefile (gone)                  |   9 -
 devel/php73-readline/Makefile (gone)               |   9 -
 devel/php73-readline/files/patch-config.m4 (gone)  |  30 --
 .../files/patch-readline_cli.c (gone)              |  13 -
 devel/php73-shmop/Makefile (gone)                  |   9 -
 devel/php73-sysvmsg/Makefile (gone)                |   9 -
 devel/php73-sysvsem/Makefile (gone)                |   9 -
 devel/php73-sysvshm/Makefile (gone)                |   9 -
 devel/php73-tokenizer/Makefile (gone)              |   9 -
 ftp/Makefile                                       |   2 -
 ftp/php73-curl/Makefile (gone)                     |   9 -
 ftp/php73-ftp/Makefile (gone)                      |  13 -
 graphics/Makefile                                  |   2 -
 graphics/php73-exif/Makefile (gone)                |   9 -
 graphics/php73-gd/Makefile (gone)                  |  11 -
 graphics/php73-gd/files/patch-config.m4 (gone)     |  63 ---
 graphics/php73-gd/files/patch-gd.c (gone)          |  83 ---
 lang/Makefile                                      |   2 -
 lang/php73-extensions/Makefile (gone)              | 114 -----
 lang/php73-extensions/pkg-descr (gone)             |   7 -
 lang/php73/Makefile (gone)                         | 193 -------
 lang/php73/Makefile.ext (gone)                     | 570 ---------------------
 lang/php73/distinfo (gone)                         |   3 -
 lang/php73/files/patch-Makefile.global (gone)      |  19 -
 lang/php73/files/patch-acinclude.m4 (gone)         |  68 ---
 lang/php73/files/patch-configure.in (gone)         |  61 ---
 .../files/patch-ext_mysqli_mysqli__api.c (gone)    |  13 -
 .../files/patch-ext_mysqli_mysqli__nonapi.c (gone) |  12 -
 .../files/patch-ext_mysqli_mysqli__prop.c (gone)   |  12 -
 .../patch-ext_mysqli_php__mysqli__structs.h (gone) |  11 -
 .../patch-sapi_apache2handler_config.m4 (gone)     |  11 -
 lang/php73/files/patch-sapi_fpm_config.m4 (gone)   |  11 -
 lang/php73/files/patch-sapi_fpm_www.conf.in (gone) |  17 -
 lang/php73/files/php-fpm.in (gone)                 |  66 ---
 lang/php73/pkg-descr (gone)                        |   8 -
 lang/php73/pkg-message.mod (gone)                  |  19 -
 lang/php73/pkg-plist (gone)                        | 265 ----------
 lang/php73/pkg-plist.mod (gone)                    |   3 -
 mail/Makefile                                      |   1 -
 mail/php73-imap/Makefile (gone)                    |   9 -
 mail/php73-imap/files/patch-config.m4 (gone)       |  42 --
 math/Makefile                                      |   2 -
 math/php73-bcmath/Makefile (gone)                  |   9 -
 math/php73-gmp/Makefile (gone)                     |   9 -
 misc/Makefile                                      |   1 -
 misc/php73-calendar/Makefile (gone)                |   9 -
 net-mgmt/Makefile                                  |   1 -
 net-mgmt/php73-snmp/Makefile (gone)                |   9 -
 net/Makefile                                       |   4 -
 net/php73-ldap/Makefile (gone)                     |   9 -
 net/php73-soap/Makefile (gone)                     |   9 -
 net/php73-sockets/Makefile (gone)                  |   9 -
 net/php73-xmlrpc/Makefile (gone)                   |   9 -
 net/php73-xmlrpc/files/patch-config.m4 (gone)      |  23 -
 security/Makefile                                  |   4 -
 security/php73-filter/Makefile (gone)              |   9 -
 security/php73-filter/files/patch-config.m4 (gone) |  10 -
 security/php73-hash/Makefile (gone)                |   9 -
 security/php73-openssl/Makefile (gone)             |   9 -
 security/php73-sodium/Makefile (gone)              |   9 -
 security/php73-sodium/files/patch-config.m4 (gone) |  17 -
 sysutils/Makefile                                  |   2 -
 sysutils/php73-fileinfo/Makefile (gone)            |   9 -
 .../php73-fileinfo/files/patch-config.m4 (gone)    |  21 -
 sysutils/php73-posix/Makefile (gone)               |   9 -
 sysutils/php73-posix/files/patch-posix.c (gone)    |  38 --
 textproc/Makefile                                  |  10 -
 textproc/php73-ctype/Makefile (gone)               |   9 -
 textproc/php73-dom/Makefile (gone)                 |   9 -
 textproc/php73-enchant/Makefile (gone)             |   9 -
 textproc/php73-pspell/Makefile (gone)              |   9 -
 textproc/php73-simplexml/Makefile (gone)           |   9 -
 .../php73-simplexml/files/patch-config.m4 (gone)   |  43 --
 textproc/php73-wddx/Makefile (gone)                |   9 -
 textproc/php73-wddx/files/patch-config.m4 (gone)   |  22 -
 textproc/php73-wddx/files/patch-wddx.c (gone)      |  40 --
 textproc/php73-xml/Makefile (gone)                 |   9 -
 textproc/php73-xml/files/patch-compat.c (gone)     |  13 -
 textproc/php73-xmlreader/Makefile (gone)           |   9 -
 textproc/php73-xmlwriter/Makefile (gone)           |   9 -
 textproc/php73-xsl/Makefile (gone)                 |   9 -
 textproc/php73-xsl/files/patch-php_xsl.h (gone)    |  11 -
 www/Makefile                                       |   4 -
 www/mod_php73/Makefile (gone)                      |  13 -
 www/php73-opcache/Makefile (gone)                  |  11 -
 .../files/patch-zend__file__cache.c (gone)         |  14 -
 www/php73-session/Makefile (gone)                  |   9 -
 www/php73-tidy/Makefile (gone)                     |   9 -
 127 files changed, 72 insertions(+), 3167 deletions(-)
Comment 4 Torsten Zuehlsdorff freebsd_committer 2022-01-26 16:48:48 UTC
Thank you! :)